# Presence SDK Android Sample integration

## Getting started

1. **Clone** or **download** the zip file for the project.
2. **Add** to your `local.properties` file:

    - bintray.psdk.username='username-for-bintray-private-maven-repo-goes-here'
    - bintray.psdk.password='password-for-bintray-private-maven-repo-goes-here'
 
3. **Add** to your `app/local.properties` file (**create it** if it is *NOT* there!):
   
   **Note**: Required setup at minimum is the first 3, branding is extra
   
    - psdk.config.consumer_key="team_consumer_key_goes_here"
    - psdk.config.team_name="team_name_goes_here"
    - psdk.config.nam=use_name_boolean_goes_here
    - psdk.config.branding_color="branding_color_hexadecimal_goes_here"
    
    **Note**: If you need to use the Experience SDK, you can use these fields to configure it in this app. 
    
    - exp.config.sub_domain="experience_sub_domain_goes_here"
    - exp.config.app_id="experience_app_id_goes_here"
    - exp.config.app_name="experience_app_name_goes_here"
    - exp.config.app_source="experience_app_source_goes_here"
    - exp.config.app_api_key="experience_api_key_goes_here"
    - exp.config.sso_signing_key="experience_sso_signing_key_goes_here"
    - exp.config.api_version="experience_api_version_goes_here"

4. **Compile** the app **and run** it!

